Main Page Class List Class Members

# VHACD::Vec3< T > Class Template Reference

Vector dim 3. More...

`#include <vhacdVector.h>`

List of all members.

## Public Member Functions
T | GetCenter (const Vec3 &bmin, const Vec3 &bmax)
T * | GetData (void)
T | GetDistance (const Vec3 &p) const
T | GetDistanceSquared (const Vec3 &p) const
T | GetNorm () const
void | Normalize ()
Vec3 | operator* (T rhs) const
T | operator* (const Vec3 &rhs) const
void | operator*= (T a)
Vec3 | operator+ (const Vec3 &rhs) const
void | operator+= (T a)
void | operator+= (const Vec3 &rhs)
Vec3 | operator- () const
Vec3 | operator- (const Vec3 &rhs) const
void | operator-= (T a)
void | operator-= (const Vec3 &rhs)
Vec3 | operator/ (T rhs) const
void | operator/= (T a)
bool | operator< (const Vec3 &rhs) const
void | operator= (const Vec3 &rhs)
bool | operator> (const Vec3 &rhs) const
const T & | operator[] (size_t i) const
T & | operator[] (size_t i)
Vec3 | operator^ (const Vec3 &rhs) const
void | UpdateMinMax (Vec3 &bmin, Vec3 &bmax) const
| Vec3 (const Vec3 &rhs)
| Vec3 (T x, T y, T z)
| Vec3 (T a)
| Vec3 ()
const T & | X () const
T & | X ()
const T & | Y () const
T & | Y ()
const T & | Z () const
T & | Z ()
| ~Vec3 (void)

## Detailed Description

### template<typename T>
class VHACD::Vec3< T >

Vector dim 3.

## Constructor & Destructor Documentation

template<typename T>

VHACD::Vec3< T >::Vec3 | ( |  | ) |

template<typename T>

VHACD::Vec3< T >::Vec3 | ( | T | a | ) |

template<typename T>

VHACD::Vec3< T >::Vec3 | ( | T | x,
|  | T | y,
|  | T | z |
| ) |  |  |

template<typename T>

VHACD::Vec3< T >::Vec3 | ( | const Vec3< T > & | rhs | ) |

template<typename T>

VHACD::Vec3< T >::~Vec3 | ( | void |  | ) |

## Member Function Documentation

template<typename T>

T VHACD::Vec3< T >::GetCenter | ( | const Vec3< T > & | bmin,
|  | const Vec3< T > & | bmax |
| ) |  |  | `[inline]`

template<typename T>

T* VHACD::Vec3< T >::GetData | ( | void |  | ) | `[inline]`

template<typename T>

T VHACD::Vec3< T >::GetDistance | ( | const Vec3< T > & | p | ) | const`[inline]`

template<typename T>

T VHACD::Vec3< T >::GetDistanceSquared | ( | const Vec3< T > & | p | ) | const`[inline]`

template<typename T>

T VHACD::Vec3< T >::GetNorm | ( |  | ) | const

template<typename T>

void VHACD::Vec3< T >::Normalize | ( |  | ) |

template<typename T>

Vec3 VHACD::Vec3< T >::operator* | ( | T | rhs | ) | const

template<typename T>

T VHACD::Vec3< T >::operator* | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::operator*= | ( | T | a | ) |

template<typename T>

Vec3 VHACD::Vec3< T >::operator+ | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::operator+= | ( | T | a | ) |

template<typename T>

void VHACD::Vec3< T >::operator+= | ( | const Vec3< T > & | rhs | ) |

template<typename T>

Vec3 VHACD::Vec3< T >::operator- | ( |  | ) | const

template<typename T>

Vec3 VHACD::Vec3< T >::operator- | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::operator-= | ( | T | a | ) |

template<typename T>

void VHACD::Vec3< T >::operator-= | ( | const Vec3< T > & | rhs | ) |

template<typename T>

Vec3 VHACD::Vec3< T >::operator/ | ( | T | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::operator/= | ( | T | a | ) |

template<typename T>

bool VHACD::Vec3< T >::operator< | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::operator= | ( | const Vec3< T > & | rhs | ) |

template<typename T>

bool VHACD::Vec3< T >::operator> | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

const T& VHACD::Vec3< T >::operator[] | ( | size_t | i | ) | const`[inline]`

template<typename T>

T& VHACD::Vec3< T >::operator[] | ( | size_t | i | ) | `[inline]`

template<typename T>

Vec3 VHACD::Vec3< T >::operator^ | ( | const Vec3< T > & | rhs | ) | const

template<typename T>

void VHACD::Vec3< T >::UpdateMinMax | ( | Vec3< T > & | bmin,
|  | Vec3< T > & | bmax |
| ) |  |  | const`[inline]`

template<typename T>

const T& VHACD::Vec3< T >::X | ( |  | ) | const

template<typename T>

T& VHACD::Vec3< T >::X | ( |  | ) |

template<typename T>

const T& VHACD::Vec3< T >::Y | ( |  | ) | const

template<typename T>

T& VHACD::Vec3< T >::Y | ( |  | ) |

template<typename T>

const T& VHACD::Vec3< T >::Z | ( |  | ) | const

template<typename T>

T& VHACD::Vec3< T >::Z | ( |  | ) |

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdVector.h